#ifndef GLOBALINFO_H
#define GLOBALINFO_H

#include <QString>

#/**
 * @brief 全局信息
 * 
 */

/* 算法相关信息 */
struct AlgorithmInfo
{
    QString ActionID;       /* 算法ID */
    QString ActionName;     /* 算法名称 */
    int ActionTaskID;   /* 算法任务ID */

    AlgorithmInfo() = default;
    AlgorithmInfo(const AlgorithmInfo& other)
        : ActionID(other.ActionID), ActionName(other.ActionName), ActionTaskID(other.ActionTaskID) {}
    AlgorithmInfo& operator=(const AlgorithmInfo& other) {
        if (this != &other) {
            ActionID = other.ActionID;
            ActionName = other.ActionName;
            ActionTaskID = other.ActionTaskID;
        }
        return *this;
    }
};



#endif /* GLOBALINFO_H */
